This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1269500 - garbage logging
garbage logging
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: postgrey (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 08:34 EDT by Harald Reindl
Modified: 2015-12-02 13:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:36:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of log garbage (11.25 KB, image/png)
2015-10-07 08:34 EDT, Harald Reindl
no flags Details

  None (edit)
Description Harald Reindl 2015-10-07 08:34:05 EDT
Created attachment 1080642 [details]
screenshot of log garbage

# log all postgrey messages into maillog
:programname, isequal, "postgrey"                   -/var/log/maillog
:programname, isequal, "postgrey" stop
________________________________________

mailgraph says after start:
Oct  7 14:28:47 mail-gw perl: WARNING: line not in syslog format:
Oct  7 14:28:47 mail-gw perl: WARNING: line not in syslog format:
Oct  7 14:28:47 mail-gw perl: WARNING: line not in syslog format:
Oct  7 14:28:47 mail-gw perl: WARNING: line not in syslog format: Oct  3 Oct  3 17:00:40 mail-gw postgrey: 2015/10/03-17:00:40 postgrey (type Net::Server::Multiplex) starting! pid(405)

there is binary/ranmdom garbage at the begin of that line

see screenshot attached, i now spent two days to nail down what f**s up grep out of a logfile with a million lines
________________________________________

the result is pretty sure https://bugzilla.redhat.com/show_bug.cgi?id=1269014 which is a grep bug on SandyBridge triggered by that garbage

feel free to handover that bugreport to rsyslog why that even is written out uncleaned that way
Comment 1 Harald Reindl 2015-10-07 08:38:55 EDT
caution: i am not 100% sure if not some crashes last saturday are responsible
Comment 2 Harald Reindl 2015-10-07 09:32:48 EDT
since the full logfile contains multiple lines with that garbage as in attachment https://bugzilla.redhat.com/attachment.cgi?id=1080646 even if crashes where releated (new kernel made the inbound MX terrible unstable at saturday) i wonder why they have the identical stuff as result

3 lines in the whole maillog with the offending stuff in front and a few others from clean starts

*trash* Oct  3 16:33:03 mail-gw postgrey: 2015/10/03-16:33:03 postgrey (type Net::Server::Multiplex) starting

*trash* Oct  3 16:51:57 mail-gw postgrey: 2015/10/03-16:51:57 postgrey (type Net::Server::Multiplex) starting

*trash* Oct  3 16:55:53 mail-gw postgrey: 2015/10/03-16:55:53 postgrey (type Net::Server::Multiplex) starting
Comment 3 Fedora End Of Life 2015-11-04 05:17:08 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:36:36 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.